{{- if and .Values.logs.enabled .Values.logs.fluentbit.enabled -}}
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: it-monit-logs-collector-fluentbit
  namespace: {{ .Release.Namespace }}
rules:
  - apiGroups:
      - ""
    resources:
      - namespaces
      - pods
      - nodes
      - nodes/proxy
      - events
    verbs:
      - get
      - list
      - watch
{{- end -}}
